### Hierarchy

- OverflowMenu

## Index

### Inputs

- buttonLabel
- customTrigger
- flip
- offset
- open
- placement
- triggerClass
- wrapperClass

### Outputs

- openChange

### Constructors

- constructor

### Properties

- buttonLabel
- customTrigger
- elementRef
- flip
- i18n
- offset
- open
- openChange
- overflowMenuDirective
- placement
- triggerClass
- wrapperClass

### Methods

- handleOpenChange

## Constructors

### constructor

- new OverflowMenu(elementRef: ElementRef, i18n: I18n): OverflowMenu

- - Defined in src/dialog/overflow-menu/overflow-menu.component.ts:102

  #### Parameters

  - ##### elementRef: ElementRef

  - ##### i18n: I18n

  #### Returns OverflowMenu

## Properties

### buttonLabel

@Input()
buttonLabel: any = this.i18n.get().OVERFLOW_MENU.OVERFLOW

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:75

### customTrigger

@Input()
customTrigger: TemplateRef<any>

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:87

### Protected elementRef

elementRef: ElementRef

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:104

### flip

@Input()
flip: boolean = false

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:77

### Protected i18n

i18n: I18n

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:104

### offset

@Input()
offset: object

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:92

#### Type declaration

- ##### x: number

- ##### y: number

### open

@Input()
open: boolean = false

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:81

### openChange

@Output()
openChange: EventEmitter<boolean> = new EventEmitter<boolean>()

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:83

### overflowMenuDirective

@ContentChild({"selector":"OverflowMenuDirective","opts":"{ static: false }"})
overflowMenuDirective: OverflowMenuDirective

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:102

### placement

@Input()
placement: "bottom" | "top" = "bottom"

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:79

### triggerClass

@Input()
triggerClass: string = ""

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:99

### wrapperClass

@Input()
wrapperClass: string = ""

- Defined in src/dialog/overflow-menu/overflow-menu.component.ts:94

## Methods

### handleOpenChange

- handleOpenChange(event: boolean): void

- - Defined in src/dialog/overflow-menu/overflow-menu.component.ts:106

  #### Parameters

  - ##### event: boolean

  #### Returns void

Generated using TypeDoc